﻿Shader "Custom/PGX_Grid" {
	Properties
	{
		_tex0 ("stage0 (RGBA)", 2D) = "white" {}
		_tex1 ("stage1 (RGBA)", 2D) = "white" {}
	}
	
	SubShader
	{
		 Tags {  "Queue" = "Overlay" }
		
		Blend One One
		Cull Off
		Zwrite Off
		Lighting Off
        
		LOD 200
		
		CGPROGRAM
		#pragma surface surf Lambert

		sampler2D _tex0;
		sampler2D _tex1;

		struct Input
		{
			float2 uv_tex0;
		};

		void surf (Input IN, inout SurfaceOutput o)
		{
			half4 c0 = tex2D (_tex0, IN.uv_tex0);
			half4 c1 = tex2D (_tex1, IN.uv_tex0);
			
			o.Albedo = c0.rgb * pow(c1.a, 1.5) * 1.5;
			o.Alpha = c1.a;
		}
		ENDCG
	} 
	FallBack "Diffuse"
}
